Subject: bug#26518: 26.0.50; M-x bubbles crashes emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2017 19:28:17 +0300

> From: Vibhav Pant <[email-masked]>
> Date: Sat, 15 Apr 2017 21:10:28 +0530
> Cc: Stephen Berman <[email-masked]>, [email-masked]
> 
> On 15-Apr-2017 8:14 PM, "Eli Zaretskii" <[email-masked]> wrote:
> > Vibhav, could this have anything to do with the latest changes in
> > bytecode?
> 
> Indeed, It's an issue with `byte-compile-inline-lapcode` inlining
> switch bytecode incorrectly. I've been busy with other stuff lately,
> will try fixing this today.

Thanks.

> Meanwhile, do you think I should set
> `byte-compile-cond-use-jump-table` to nil by default to disable
> `switch` compilation till this is fixed?

If this will be fixed soon, I don't think there will be a need for the
workaround.